Bug 1100432 - EAP6 plugin ignores rhq.agent.plugins.availability-scan.timeout setting and defaults to 10 seconds
Summary: EAP6 plugin ignores rhq.agent.plugins.availability-scan.timeout setting and d...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Plugins
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: GA
: RHQ 4.12
Assignee: Stefan Negrea
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On: 1021018
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-22 19:39 UTC by Stefan Negrea
Modified: 2014-12-15 11:36 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1021018
Environment:
Last Closed: 2014-12-15 11:36:37 UTC


Attachments (Terms of Use)

Comment 1 Stefan Negrea 2014-05-22 19:40:49 UTC
Created this to track work required on the master branch which is totally different than release/jon3.2.x because of the new implementation of the async availability check.

Comment 2 Stefan Negrea 2014-06-20 22:10:10 UTC
AS7 management interface queries could see replies in a timeframe of minutes. The initial requirement was allow users to set this to any arbitrary value via agent configuration. But that was before the completely async avail request. The avail timeout option is no longer applicable nor used.

The plugin now reports UNKNOWN availability for services that have the avail call timeout after 1 minute. And then a process check was implemented at the server level when the DMR call times out. That will help contain the process check in only one place. If the server is marked down using the process check method then all the services are marked down anyway.


Please read the PR for the full discussion around the implementation.


Pull Request has been merged into the master branch:
https://github.com/rhq-project/rhq/pull/49

Comment 3 Heiko W. Rupp 2014-12-15 11:36:37 UTC
Bulk close of items fixed in RHQ 4.12

If you think this is not solved, then please open a *new* BZ and link to this one.


Note You need to log in before you can comment on or make changes to this bug.